Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Class AdvisorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.advisor.AdvisorException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  ElementNotFoundException

    public class AdvisorException

extends ApplicationException

Base class for all exceptions thrown by `Advisor`and `Advislet` methods.``

See Also
  `Advisor`, `Advislet`, Serialized Form

Constructor Summary
`AdvisorException(String message)` Creates a `AdvisorException` using a given message.
`AdvisorException(String namespace, String message)` Deprecated use AdvisorException(String message).
`AdvisorException(String namespace, String message, Throwable cause)` Deprecated use AdvisorException(String message, cause).
`AdvisorException(String message, Throwable cause)` Creates a `AdvisorException` using a given message and a nested `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdvisorException

    public AdvisorException(String message)

  Creates a `AdvisorException` using a given message.

  Parameters
    `message` - the exception message.

### AdvisorException

    public AdvisorException(String message,
                            Throwable cause)

  Creates a `AdvisorException` using a given message and a nested `Throwable`.

  Parameters
    `message` - the exception message.
    `cause` - the nested `Throwable`.

### AdvisorException

    public AdvisorException(String namespace,
                            String message)

  Deprecated use AdvisorException(String message).

  Creates a `AdvisorException` using a given message and the namespace. Note: The namespace parameter is ignored.

  Parameters
    `namespace` - the namespace.
    `message` - the exception message.

### AdvisorException

    public AdvisorException(String namespace,
                            String message,
                            Throwable cause)

  Deprecated use AdvisorException(String message, cause).

  Creates a `AdvisorException` using a given message, the namespace and a nested exception.

  Parameters
    `namespace` - the namespace.
    `message` - the exception message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.